### Signal

# EBook BookClientView::content-changed

since: 3.50

#### Declaration

    void
    content_changed (
      EBookClientView* self,
      gpointer user_data
    )

#### Description [src]

The signal is emitted whenever content of any contact in the `client_view` changes, or a contact is added or removed. It may or may not change `EBookClientView`:n-total property too.

Note: This signal can be used only with `E_BOOK_CLIENT_VIEW_FLAGS_MANUAL_QUERY`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.50